<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - 
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="inttype">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>inttype</refname>
    <refpurpose>  type integers used in integer data types</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[i]=inttype(x)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>an matrix of integers (see int8,..)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>i</term>
        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>inttype(x)</literal>  returns an integer which is the type of the entries
    of <literal>x</literal> as following :</para>
    <para>
     1 
    :  one byte integer representation</para>
    <para>
     2 
    :  two bytes integer representation</para>
    <para>
     4 
    :  four bytes integer representation</para>
    <para>
     11 
    :  one byte unsigned integer representation</para>
    <para>
     12 
    :  two bytes unsigned integer representation</para>
    <para>
     14 
    :  four bytes unsigned integer representation</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=uint16(1:10);
inttype(x)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="int8">int8</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
